import QtQuick 2.15
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.15

Item {
    id: deviceDelegate
    width: deviceDelegateWidth
    height: deviceDelegateHeight

    property real deviceDelegateWidth: 364
    property real deviceDelegateHeight: 56
    property real deviceDelegateTopMargin: 0
    property alias deviceDelegateBtnSource: deviceDelegateBtn.icon.name
    property alias deviceDelegateBtnFlat: deviceDelegateBtn.flat
    property alias deviceDelegateBtnHighLighted: deviceDelegateBtn.highlighted
    property alias deviceDelegatePortTextStr: deviceDelegatePortText.text
    property alias deviceDelegateDesTextStr: deviceDelegateDesText.text

    Row {
        id: deviceDelegateRow
        anchors.fill: parent
        anchors.top: parent.top
        anchors.topMargin: deviceDelegateTopMargin
        anchors.left: parent.left
        anchors.leftMargin: 24

        RoundButton {
            id: deviceDelegateBtn
            width: 36
            height: 36
            Layout.preferredWidth: 36
            Layout.preferredHeight: 36
            Layout.minimumWidth: 36
            Layout.maximumWidth: 36
            Layout.minimumHeight: 36
            Layout.maximumHeight: 36
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            flat: false
            highlighted: true
            icon {
                name: ""
            }
        }

        Text {
            id: deviceDelegatePortText
            anchors.left: deviceDelegateBtn.right
            anchors.leftMargin: 12
            anchors.verticalCenter: parent.verticalCenter
            text: qsTr("")
        }

        Text {
            id: deviceDelegateDesText
            anchors.left: deviceDelegatePortText.right
            anchors.leftMargin: 12
            anchors.verticalCenter: parent.verticalCenter
            text: qsTr("")
        }
    }
}
