import QtQuick 2.15
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.15

Item {
    id: headerDelegate
    width: headerDelegateWidth
    height: headerDelegateHeight

    property real headerDelegateWidth: 360
    property real headerDelegateHeight: 32
    property real headerDelegateTopMargin: 0
    property alias headerDelegateBtnSource: headerDelegateBtn.icon.name
    property alias headerDelegateBtnFlat: headerDelegateBtn.flat
    property alias headerDelegateBtnHighLighted: headerDelegateBtn.highlighted
    property alias headerDelegateBtnVisible: headerDelegateBtn.visible
    property alias headerDelegateBtnEnabled: headerDelegateBtn.enabled
    property alias headerDelegateTextStr: headerDelegateText.text

    signal headerDelegateBtnClick()

    Rectangle {
        width: headerDelegateWidth
        height: headerDelegateHeight
        anchors.top: parent.top
        anchors.topMargin: headerDelegateTopMargin
        anchors.left: parent.left
        anchors.leftMargin: 24
        color: "#00000000"

        Text {
            id: headerDelegateText
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            text: ""
            font.pixelSize: 14
            color: "#3D3D3D"
        }

        Button {
            id: headerDelegateBtn
            width: 36
            height: 36
            Layout.preferredWidth: 36
            Layout.preferredHeight: 36
            Layout.minimumWidth: 36
            Layout.maximumWidth: 36
            Layout.minimumHeight: 36
            Layout.maximumHeight: 36
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 24
            visible: false
            enabled: false
            flat: false
            highlighted: true
            icon {
                name: ""
            }

            onClicked: {
                console.log("HeaderDelegate.qml headerDelegateBtn onClicked")
                headerDelegate.headerDelegateBtnClick()
            }
        }
    }
}
