import QtQuick 2.15
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.15

Item {
    id: volumeDelegate
    width: volumeDelegateWidth
    height: volumeDelegateHeight

    property real volumeDelegateWidth: 364
    property real volumeDelegateHeight: 56
    property real volumeDelegateTopMargin: 0
    property alias volumeValue: volumeDelegateSlider.value
    property alias volumeDelegateBtnSource: volumeDelegateBtn.icon.name
    property alias volumeDelegateBtnFlat: volumeDelegateBtn.flat
    property alias volumeDelegateBtnHighLighted: volumeDelegateBtn.highlighted

    signal volumeDelegateBtnClick()
    signal moved(real value)

    Row {
        id: volumeDelegateRow
        anchors.fill: parent
        anchors.top: parent.top
        anchors.topMargin: volumeDelegateTopMargin
        anchors.left: parent.left
        anchors.leftMargin: 24

        RoundButton {
            id: volumeDelegateBtn
            width: 36
            height: 36
            Layout.preferredWidth: 36
            Layout.preferredHeight: 36
            Layout.minimumWidth: 36
            Layout.maximumWidth: 36
            Layout.minimumHeight: 36
            Layout.maximumHeight: 36

            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            flat: false
            highlighted: true
            icon {
                name: ""
            }

            onClicked: {
                volumeDelegate.volumeDelegateBtnClick()
            }
        }

        Slider {
            id: volumeDelegateSlider
            width: 271
            height: 16
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: volumeDelegateBtn.right
            anchors.leftMargin: 12
            from: 0
            to: 100
            stepSize: 1

            property var sliderType: "touchSlider"
            property int lastValue: -1

            onMoved: {
                if (value != lastValue) {
                    console.log("VolumeDelegate.qml Slider onMoved:", value)
                    lastValue = value
                    volumeDelegate.moved(value)
                }
            }
        }

        Text {
            anchors.left: volumeDelegateSlider.right
            anchors.leftMargin: 12
            anchors.verticalCenter: parent.verticalCenter
            color: "#000000"
            text: qsTr(volumeValue +"%")
        }
    }
}
